Bug 98760 - Sound and power-off not working after kernel update
Sound and power-off not working after kernel update
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 12:27 EDT by Stephen Walton
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2003-07-08 12:27:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I have a completely up-to-date RedHat 9 system.  However, updates to kernels
2.4.20-18.x have caused both sound and power-off on shutdown to stop working. 
Both sound and power-off work fine in kernel 2.4.20-8.

My hardware is an Athlon 2200+ CPU in an ECS K7S5A Pro motherboard, so it has
the SiS 735 chipset.  I'm using the motherboard sound.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 9 distribution on a K7S5A Pro motherboard system
2. Test sound---it will work
3. Shut down---system will power off
4. Update to kernel 2.4.20-18.9
5. Sound and power off no longer work
    

Actual Results:  Sound and power-off no longer worked.

Expected Results:  Sound and power-off should have continued working.

Additional info:
Comment 1 Arindam Dey 2003-07-10 04:05:50 EDT
I was searching around bugzilla before submitting my bug and it turns out that I
also have the exact same problem as mentioned above albeit on a different
hardware. I am using the Intel 845 chipset and the onboard sound card. Earlier
upon installing RH 9 ( Kernel 2.4.20-8 ) sound was working great. But after
updating to the latest kernel using up2date the sound has stopped working.
Although the same modules are loaded and everything else remains the same. If I
reboot into the old kernel sound is again working great.

Any help on this would be appreciated.

Thanks
Comment 2 Mark Gahagan 2003-07-17 14:14:13 EDT
I have same problem on SIS motherboard using onboard sound. New kernel 2.4.20-
18.9 no sound. Old kernel 2.4.20-6 Sound ok.
Comment 3 Bugzilla owner 2004-09-30 11:41:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.